<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @link       http://www.wowroster.net
 * @package    GlyphsDisplay
 * @subpackage Installer
*/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

/**
 * Installer for GlyphsDisplay Addon
 *
 * @package    GlyphsDisplay
 * @subpackage Installer
 *
 */
class GlyphsDisplayInstall
{
	var $active = true;
	var $icon = 'inv_scroll_11';
	var $wrnet_id = 0;

	var $upgrades = array(); // There are no previous versions to upgrade from

	var $version = '2.0.0.1';

	var $fullname = 'Glyphs Display';
	var $description = 'Display Glyphs by class, minor/major.';
	var $credits = array(
		array(	"name"=>	"emilise",
			"info"=>	"Display Glyphs."),
	);


	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;

		# Master data for the config file
		$installer->add_config("1,'startpage','display','display','master'");

		$installer->add_menu_button('GlyphDisplay_menu','realm','','inv_scroll_11');
		$installer->add_menu_button('GlyphDisplay_menu','guild','','inv_scroll_11');
		return true;
	}

	/**
	 * Upgrade Function
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		// Nothing to upgrade from yet
		return true;
	}

	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;

		$installer->remove_all_config();

		$installer->remove_all_menu_button();

		return true;
	}
}
